Get SEO analysis for article
curl --request GET \
--url https://api.octaviatech.app/cms/articles/seoAnalysis/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.octaviatech.app/cms/articles/seoAnalysis/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.octaviatech.app/cms/articles/seoAnalysis/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.octaviatech.app/cms/articles/seoAnalysis/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.octaviatech.app/cms/articles/seoAnalysis/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.octaviatech.app/cms/articles/seoAnalysis/{id}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.octaviatech.app/cms/articles/seoAnalysis/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"statusCode": 123,
"message": "<string>",
"data": {
"articleId": "<string>",
"slug": "<string>",
"seo": {
"score": 123,
"potentialScore": 123,
"scores": {
"titleMeta": 123,
"structure": 123,
"keywords": 123,
"content": 123,
"readability": 123,
"links": 123,
"images": 123,
"technical": 123
},
"stats": {
"wordCount": 123,
"keywordDensity": 123,
"readabilityScore": 123,
"readabilityLevel": "<string>",
"totalImages": 123,
"totalLinks": 123,
"headingsCount": 123
},
"topKeywords": [
{
"term": "<string>",
"count": 123,
"inTitle": true
}
],
"allKeywords": [
{
"term": "<string>",
"count": 123,
"density": 123,
"inTitle": true,
"inHeadings": 123
}
],
"issues": {
"critical": [
"<string>"
],
"warnings": [
"<string>"
],
"criticalCount": 123,
"warningCount": 123
},
"checks": {
"hasH1": true,
"hasImages": true,
"hasLinks": true,
"hasGoodReadability": true,
"urlOptimized": true
}
},
"language": "<string>"
}
}{
"success": false,
"statusCode": 404,
"message": "Article not found",
"data": null
}Articles
Get Article SEO Analysis
Get Article SEO Analysis.
GET
/
articles
/
seoAnalysis
/
{id}
Get SEO analysis for article
curl --request GET \
--url https://api.octaviatech.app/cms/articles/seoAnalysis/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.octaviatech.app/cms/articles/seoAnalysis/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.octaviatech.app/cms/articles/seoAnalysis/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.octaviatech.app/cms/articles/seoAnalysis/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.octaviatech.app/cms/articles/seoAnalysis/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.octaviatech.app/cms/articles/seoAnalysis/{id}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.octaviatech.app/cms/articles/seoAnalysis/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"statusCode": 123,
"message": "<string>",
"data": {
"articleId": "<string>",
"slug": "<string>",
"seo": {
"score": 123,
"potentialScore": 123,
"scores": {
"titleMeta": 123,
"structure": 123,
"keywords": 123,
"content": 123,
"readability": 123,
"links": 123,
"images": 123,
"technical": 123
},
"stats": {
"wordCount": 123,
"keywordDensity": 123,
"readabilityScore": 123,
"readabilityLevel": "<string>",
"totalImages": 123,
"totalLinks": 123,
"headingsCount": 123
},
"topKeywords": [
{
"term": "<string>",
"count": 123,
"inTitle": true
}
],
"allKeywords": [
{
"term": "<string>",
"count": 123,
"density": 123,
"inTitle": true,
"inHeadings": 123
}
],
"issues": {
"critical": [
"<string>"
],
"warnings": [
"<string>"
],
"criticalCount": 123,
"warningCount": 123
},
"checks": {
"hasH1": true,
"hasImages": true,
"hasLinks": true,
"hasGoodReadability": true,
"urlOptimized": true
}
},
"language": "<string>"
}
}{
"success": false,
"statusCode": 404,
"message": "Article not found",
"data": null
}Authorizations
Path Parameters
Article ID
Pattern:
^[a-fA-F0-9]{24}$Example:
"{{objectId}}"
Query Parameters
Optional language code to filter results for specific language. If not provided, returns analysis for all languages.
Example:
"en"
Was this page helpful?

